import 'package:flutter/material.dart';
import 'package:login_screen/drawer_screen/drawer_screen1/drawer_screen1.dart';

class MainScreen1 extends StatefulWidget {
  const MainScreen1({super.key});

  @override
  State<MainScreen1> createState() => _MainScreen1State();
}

class _MainScreen1State extends State<MainScreen1> {

  double xoffset=0;
  double yoffset=0;
  bool isdrawerOpen=false  ;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          DrawerScreen1(),
          AnimatedContainer(
            transform: Matrix4.translationValues(xoffset, yoffset, 0)
            ..scale(isdrawerOpen?0.85:1.00)..rotateZ(isdrawerOpen?-50:0),
              duration: const Duration(milliseconds: 200),
          color: Colors.white,
            child: SingleChildScrollView(
              child: SafeArea(
                child: Column(
                  children: [
                    Container(
                      padding: EdgeInsets.symmetric(horizontal: 20),
                      height: 60,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          IconButton(
                              icon:isdrawerOpen?Icon(Icons.arrow_back_ios): Icon(Icons.menu),
                            onPressed: () {
                                setState(() {
                                  xoffset=isdrawerOpen?0:290;
                                  yoffset=isdrawerOpen?0:80;
                                  isdrawerOpen=isdrawerOpen?false:true;
                                });
                            },),
                          Text('Products',style: TextStyle(
                            fontSize: 20,decoration: TextDecoration.none,color: Colors.black87
                          ),),
                          SizedBox()
                        ],
                      ),
                    ),
                    GridView.builder(
                      padding: EdgeInsets.symmetric(horizontal: 10),
                        scrollDirection: Axis.vertical,
                        cacheExtent: 20,
                        gridDelegate:const SliverGridDelegateWithFixedCrossAxisCount(
                            childAspectRatio: 1,
                            crossAxisSpacing: 9,
                            mainAxisSpacing: 10,
                            crossAxisCount: 2),
                        physics: const ScrollPhysics(),
                        shrinkWrap: true,
                        itemCount: 10,
                        itemBuilder: (BuildContext context, int index) {
                            return Container(
                              height: 60,
                              color: Colors.green,
                              child: Icon(Icons.adb,color: Colors.greenAccent,size: 60,),
                            );


                          }
                        ),
                  ],
                ),
              ),
            ),

          ),
        ],
      ),
    );
  }
}
